NVIDIA: Unable to determine the version of the kernel

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
aschenaz
Staff
Staff
Messaggi: 4615
Iscritto il: mer 28 lug 2004, 0:00
Nome Cognome: Nino
Slackware: current
Kernel: 4.14.x
Desktop: KDE
Località: Reggio Calabria
Contatta:

Re: NVIDIA: Unable to determine the version of the kernel

Messaggio da aschenaz »

Io ho "risolto" in una maniera tortuosa: in pratica devo lanciare direttamente un

Codice: Seleziona tutto

insmod /lib/modules/2.6.33-smp/kernel/drivers/video/nvidia.ko
prima di far partire X. L'ho messo in rc.local ed ora mi parte anche in init 4.
Funziona e per ora me lo tengo così, ma mi piacerebbe capire cos'è che è
andato storto... :|

Meskalamdug
Iper Master
Iper Master
Messaggi: 3925
Iscritto il: ven 14 mag 2004, 0:00

Re: NVIDIA: Unable to determine the version of the kernel

Messaggio da Meskalamdug »

I nouveau sono "usabili" tantochè la nuova
Fedora li include di default.
Personalmente faccio il tifo per nouveau visto
che i driver chiusi sono una me**a(causano
problemi seri in caso di cambio di kernel,se
poi non vengono mantenuti spesso,ma non è
il caso di nvidia,diventano un inferno..)
Senza contare che limitano e non poco la
libertà in un OS(es..non supportano XEN
quindi..niente XEN!).
Attualmente i nouveau supportano tutto,dal
suspend(che i drivers nvidia supportano
ufficialmente ma che su certe schede madri
non funziona per nulla)al 3d(mediante le librerie
Gallium).
Ovviamente essendo un progetto ancora giovane
c'è da aspettarsi diversa rogna..e infine il 3d rispetto
a nvidia-closed è ancora molto lento(ma i 40 fps in un gioco
3d li superi,stando almeno ai test).
Personalmente ho provato più volte a mettere su i nouveau
ma pare che la mia scheda non venga vista
da EE no devices detected. :(

Avatar utente
aschenaz
Staff
Staff
Messaggi: 4615
Iscritto il: mer 28 lug 2004, 0:00
Nome Cognome: Nino
Slackware: current
Kernel: 4.14.x
Desktop: KDE
Località: Reggio Calabria
Contatta:

Re: NVIDIA: Unable to determine the version of the kernel

Messaggio da aschenaz »

Comunque, a quanto pare qualche problema di compatibilità nel kernel c'è.
Infatti, il changelog del 7...

Per quanto riguarda i nouveau, io, finché non c'è un pacchetto "prendi e installa"...! :lol:
Non ho ne il tempo (né la capacità) di smanettarci troppo. In effetti ieri m'ero messo
in testa di installarlo e avevo cominciato a leggere in giro. Ma poi ho desistito:
combinerei solo casini... :|

Meskalamdug
Iper Master
Iper Master
Messaggi: 3925
Iscritto il: ven 14 mag 2004, 0:00

Re: NVIDIA: Unable to determine the version of the kernel

Messaggio da Meskalamdug »

aschenaz ha scritto:Comunque, a quanto pare qualche problema di compatibilità nel kernel c'è.
Infatti, il changelog del 7...

Per quanto riguarda i nouveau, io, finché non c'è un pacchetto "prendi e installa"...! :lol:
Non ho ne il tempo (né la capacità) di smanettarci troppo. In effetti ieri m'ero messo
in testa di installarlo e avevo cominciato a leggere in giro. Ma poi ho desistito:
combinerei solo casini... :|
Il giorno che vedrò nouveau funzionare metterò
su guida e pacchetti(per x64 ovviamente)

Avatar utente
michelino
Staff
Staff
Messaggi: 871
Iscritto il: gio 21 dic 2006, 11:59
Nome Cognome: Michelino Chionchio
Slackware: -current
Kernel: 2.6.29.6
Desktop: kde (current)
Località: Foggia

Re: NVIDIA: Unable to determine the version of the kernel

Messaggio da michelino »

aschenaz ha scritto:Io ho "risolto" in una maniera tortuosa: in pratica devo lanciare direttamente un

Codice: Seleziona tutto

insmod /lib/modules/2.6.33-smp/kernel/drivers/video/nvidia.ko
prima di far partire X. L'ho messo in rc.local ed ora mi parte anche in init 4.
Funziona e per ora me lo tengo così, ma mi piacerebbe capire cos'è che è
andato storto... :|
Mi sa che devi blacklistare i nouveau per evitare che si carichino all'avvio i moduli (che peraltro non funzionano)

Avatar utente
aschenaz
Staff
Staff
Messaggi: 4615
Iscritto il: mer 28 lug 2004, 0:00
Nome Cognome: Nino
Slackware: current
Kernel: 4.14.x
Desktop: KDE
Località: Reggio Calabria
Contatta:

Re: NVIDIA: Unable to determine the version of the kernel

Messaggio da aschenaz »

michelino ha scritto:...
Mi sa che devi blacklistare i nouveau per evitare che si carichino all'avvio i moduli (che peraltro non funzionano)
Ma non mi pare che li carichi...

Comunque, ho aggiunto un blacklist nouveau in /etc/modprobe.d/blacklist.conf.
Giusto così?

Avatar utente
michelino
Staff
Staff
Messaggi: 871
Iscritto il: gio 21 dic 2006, 11:59
Nome Cognome: Michelino Chionchio
Slackware: -current
Kernel: 2.6.29.6
Desktop: kde (current)
Località: Foggia

Re: NVIDIA: Unable to determine the version of the kernel

Messaggio da michelino »

così dovrebbe essere....dai un occhio alla discussione su LQ

Avatar utente
aschenaz
Staff
Staff
Messaggi: 4615
Iscritto il: mer 28 lug 2004, 0:00
Nome Cognome: Nino
Slackware: current
Kernel: 4.14.x
Desktop: KDE
Località: Reggio Calabria
Contatta:

Re: NVIDIA: Unable to determine the version of the kernel

Messaggio da aschenaz »

Col nuovo kernel tutto ok, senza bisogno di richiamare l'insmod.

Però nouveau è rimasto blacklistato, quindi non so se dipende da quello...

Rispondi